Bug 1494958 - remove linuxgl/accessibility check in old-configure.in; r=ted.mielczarek
authorNathan Froyd <froydnj@mozilla.com>
Tue, 02 Oct 2018 15:41:06 -0400
changeset 439314 f9572cfd7bac75d4493f44206cd27958d74269d0
parent 439313 fbe6aa9631f4e7b740cf85a26c3f31cef346f7e1
child 439315 e503bf1a29c546253fac7ddce6b8ebce9ce5f3ed
push id34761
push userdvarga@mozilla.com
push dateWed, 03 Oct 2018 05:04:53 +0000
treeherdermozilla-central@59b60df78c07 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersted
bugs1494958
milestone64.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1494958 - remove linuxgl/accessibility check in old-configure.in; r=ted.mielczarek linuxgl is not a widget toolkit we support nowadays.
old-configure.in
--- a/old-configure.in
+++ b/old-configure.in
@@ -2309,24 +2309,16 @@ if test "$ACCESSIBILITY"; then
             else
                 AC_MSG_ERROR([You have accessibility enabled, but widl could not be found. Add --disable-accessibility to your mozconfig or install widl. See https://developer.mozilla.org/en-US/docs/Cross_Compile_Mozilla_for_Mingw32 for details.])
             fi
         fi
     esac
     AC_DEFINE(ACCESSIBILITY)
 fi
 
-dnl ========================================================
-dnl Accessibility is required for the linuxgl widget
-dnl backend
-dnl ========================================================
-if test "${MOZ_WIDGET_TOOLKIT}" = "linuxgl" -a "$ACCESSIBILITY" != "1"; then
-    AC_MSG_ERROR(["Accessibility is required for the linuxgl widget backend"])
-fi
-
 AC_TRY_COMPILE([#include <linux/ethtool.h>],
                [ struct ethtool_cmd cmd; cmd.speed_hi = 0; ],
                MOZ_WEBRTC_HAVE_ETHTOOL_SPEED_HI=1)
 
 AC_SUBST(MOZ_WEBRTC_HAVE_ETHTOOL_SPEED_HI)
 
 if test -n "$MOZ_WEBRTC"; then
     if test -n "$MOZ_X11"; then